Package com.documentum.registry

# Interface IDfClientRegistryObject

All Known Subinterfaces:
  `IDfCheckedOutObject`, `IDfLocalObject`, `IDfViewedObject`, `IViewedObjectInternal`

All Known Implementing Classes:
  `DfClientRegistryObject`, `DfClientRegistryObjectBase`

public interface IDfClientRegistryObject
IDfClientRegistryObject is the common base interface for objects written to the client registry. It manages standard object information such as object id, object name, and file path.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContentIdentifier()`
  Returns content identifier
  `String`
  `getDocbaseId()`
  Returns the repository identifier for the repository to which the object belongs.
  `String`
  `getDocbaseName()`
  Returns the name of the repository this object belongs to.
  `String`
  `getDocbroker()`
  Returns the name of the DocBroker in use when the object was written to the registry.
  `String`
  `getDomainName()`
  Returns the NT domain name of the user who registered this document.
  `String`
  `getFilePath()`
  Returns the local content file path to the repository object.
  `String`
  `getFolderPath()`
  Returns the repository cabinet / folder path from which the repository object was accessed when the object was added to the registry.
  `String`
  `getFormat()`
  Returns the format name for the repository object (for example, msw6)
  `String`
  `getFormatDescription()`
  Returns the description of the repository format for the object (e.g.
  `String`
  `getObjectId()`
  Returns the repository object ID for the client registry object.
  `String`
  `getObjectName()`
  Returns the name of the repository object.
  `String`
  `getResourceForkIdentifier()`
  Returns resource fork identifier
  `String`
  `getTitle()`
  Returns the title of the repository object.
  `String`
  `getType()`
  Returns the r_object_type for the repository object.
  `String`
  `getUser()`
  Returns the login name of the user who registered this document.
  `int`
  `getVStamp()`
  Returns the vstamp of the object.
  `boolean`
  `isDirty()`
  Returns true if the object attributes have been modified.
  `void`
  `loadFromRegistry(String objId)`
  Reads the information from the registry into the object
  `void`
  `setContentIdentifier(String contentIdentifier)`
  Sets content identifier
  `void`
  `setDocbaseId(String docbaseId)`
  Sets the ID of the repository the object resides on
  `void`
  `setDocbaseName(String docbaseName)`
  Sets the name of the repository the object resides on
  `void`
  `setDocbroker(String docbroker)`
  Sets the name of the DocBroker the user is using
  `void`
  `setDomainName(String domainName)`
  Sets the domain name of the object
  `void`
  `setFilePath(String filePath)`
  Sets the local file path of the object
  `void`
  `setFolderPath(String folderPath)`
  Sets the folder path of the object in the repository
  `void`
  `setFormat(String format)`
  Sets the object type of the object
  `void`
  `setFormatDescription(String formatDesc)`
  Sets the English name of the format of the object
  `void`
  `setObjectId(String objId)`
  Sets the object ID of the object
  `void`
  `setObjectName(String objName)`
  Sets the name of the object
  `void`
  `setResourceForkIdentifier(String resourceForkIdentifier)`
  Sets resource fork identifier
  `void`
  `setTitle(String title)`
  Sets the title of the checked-out object
  `void`
  `setType(String type)`
  Sets the object type of the object
  `void`
  `setUser(String user)`
  Sets the user name of the user that is using the object
  `void`
  `setVStamp(int vStamp)`
  Sets the vstamp of the object
  `void`
  `updateRegistry()`
  Writes the information in the object to the registry

- ## Method Details

  - ### getObjectId

    String getObjectId()
    Returns the repository object ID for the client registry object.
    Returns:
      the object ID of the object

  - ### setObjectId

    void setObjectId(String objId)
    Sets the object ID of the object
    Parameters:
      `objId` - the new object ID

  - ### getObjectName

    String getObjectName()
    Returns the name of the repository object.
    Returns:
      the name of the object

  - ### setObjectName

    void setObjectName(String objName)
    Sets the name of the object
    Parameters:
      `objName` - the name of the object

  - ### getTitle

    String getTitle()
    Returns the title of the repository object.
    Returns:
      the title of the object

  - ### setTitle

    void setTitle(String title)
    Sets the title of the checked-out object
    Parameters:
      `title` - the title of the object

  - ### getFilePath

    String getFilePath()
    Returns the local content file path to the repository object.
    Returns:
      the local file path of the object

  - ### setFilePath

    void setFilePath(String filePath)
    Sets the local file path of the object
    Parameters:
      `filePath` - the local file path of the checked-out object

  - ### getType

    String getType()
    Returns the r_object_type for the repository object.
    Returns:
      the object type of the object

  - ### setType

    void setType(String type)
    Sets the object type of the object
    Parameters:
      `type` - the object type of the object

  - ### getFormat

    String getFormat()
    Returns the format name for the repository object (for example, msw6)
    Returns:
      the format of the checked-out object

  - ### setFormat

    void setFormat(String format)
    Sets the object type of the object
    Parameters:
      `format` - the format of the object

  - ### getFormatDescription

    String getFormatDescription()
    Returns the description of the repository format for the object (e.g. "Microsoft Word 6").
    Returns:
      the English name of the format of the object

  - ### setFormatDescription

    void setFormatDescription(String formatDesc)
    Sets the English name of the format of the object
    Parameters:
      `formatDesc` - the format description of the object

  - ### getDocbaseId

    String getDocbaseId()
    Returns the repository identifier for the repository to which the object belongs.
    Returns:
      the ID of the repository the object resides on

  - ### setDocbaseId

    void setDocbaseId(String docbaseId)
    Sets the ID of the repository the object resides on
    Parameters:
      `docbaseId` - the ID of the repository the object resides on

  - ### getDocbaseName

    String getDocbaseName()
    Returns the name of the repository this object belongs to.
    Returns:
      the name of the repository the object resides on

  - ### setDocbaseName

    void setDocbaseName(String docbaseName)
    Sets the name of the repository the object resides on
    Parameters:
      `docbaseName` - the name of the repository the object resides on

  - ### getDocbroker

    String getDocbroker()
    Returns the name of the DocBroker in use when the object was written to the registry.
    Returns:
      the name of the DocBroker the user is using

  - ### setDocbroker

    void setDocbroker(String docbroker)
    Sets the name of the DocBroker the user is using
    Parameters:
      `docbroker` - the name of the DocBroker the user is using

  - ### getFolderPath

    String getFolderPath()
    Returns the repository cabinet / folder path from which the repository object was accessed when the object was added to the registry. May be empty if no folder context was available.
    Returns:
      the folder path of the checked-out object in the repository

  - ### setFolderPath

    void setFolderPath(String folderPath)
    Sets the folder path of the object in the repository
    Parameters:
      `folderPath` - the folder path of the object

  - ### getDomainName

    String getDomainName()
    Returns the NT domain name of the user who registered this document.
    Returns:
      the domain name of the object

  - ### setDomainName

    void setDomainName(String domainName)
    Sets the domain name of the object
    Parameters:
      `domainName` - the folder path of the object

  - ### getUser

    String getUser()
    Returns the login name of the user who registered this document.
    Returns:
      the login name of the user that is using the object

  - ### setUser

    void setUser(String user)
    Sets the user name of the user that is using the object
    Parameters:
      `user` - the user name of the user using the object

  - ### getVStamp

    int getVStamp()
    Returns the vstamp of the object.
    Returns:
      the vstamp of the object

  - ### setVStamp

    void setVStamp(int vStamp)
    Sets the vstamp of the object
    Parameters:
      `vStamp` - the vstamp of the object.

  - ### isDirty

    boolean isDirty()
    Returns true if the object attributes have been modified. Note: this method is intended for internal use.
    Returns:
      true if the object's attributes have been changed and not written to the registry

  - ### updateRegistry

    void updateRegistry() throws DfException
    Writes the information in the object to the registry
    Throws:
      `DfException`

  - ### loadFromRegistry

    void loadFromRegistry(String objId) throws DfException
    Reads the information from the registry into the object
    Parameters:
      `objId` - the object ID of the object to be read
    Throws:
      `DfException`

  - ### getContentIdentifier

    String getContentIdentifier()
    Returns content identifier
    Returns:
      content identifier

  - ### setContentIdentifier

    void setContentIdentifier(String contentIdentifier)
    Sets content identifier
    Parameters:
      `contentIdentifier` - content identifier

  - ### getResourceForkIdentifier

    String getResourceForkIdentifier()
    Returns resource fork identifier
    Returns:
      resource fork identifier

  - ### setResourceForkIdentifier

    void setResourceForkIdentifier(String resourceForkIdentifier)
    Sets resource fork identifier
    Parameters:
      `resourceForkIdentifier` - resource fork identifier